using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Tower : MonoBehaviour {

	[SerializeField] bool blue;
	[SerializeField] SpriteRenderer sr;


	void Start () {
		sr = GetComponent<SpriteRenderer> ();
		TowerGameController.instance.AddTower (gameObject);
	}
	
	public bool isBlue(){
		return blue;
	}

	public void setBlue(bool b){
		blue = b;
		if (blue)
			sr.color = Color.blue;
		else
			sr.color = Color.red;
	}

 

    


}
